%define name 	synce-gnomevfs
%define release %mkrel 2
%define version 0.11

%define major 	0
%define libname %mklibname %name %major

Summary: 	GnomeVFS module for accessing Windows CE and Pocket PC Devices
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	MIT
Group:  	Communications 
Source: 	http://ovh.dl.sourceforge.net/sourceforge/synce/%{name}-%{version}.tar.bz2
URL: 		http://synce.sourceforge.net/
Buildroot:  	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	gnome-vfs2-devel
BuildRequires:  libsynce-devel  >= 0.11
BuildRequires:	librapi-devel

%description
This plugin allows the Synce synchronization tool to interface with the GNOME
virtual file system.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall
#rm -f $RPM_BUILD_ROOT/%{_libdir}/gnome-vfs-2.0/modules/libsyncevfs.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/gnome-vfs-2.0/modules/libsyncevfs.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/synce-trayicon/modules/gnomevfs-trayicon-module.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README
%config(noreplace) /etc/gnome-vfs-2.0/modules/synce-module.conf
%{_bindir}/synce-in-computer-folder
%{_datadir}/synce/synce-in-computer-folder.sh
%{_libdir}/gnome-vfs-2.0/modules/libsyncevfs.so
%{_libdir}/synce-trayicon/modules/gnomevfs-trayicon-module.so
%{_iconsdir}/hicolor/*
%{_mandir}/man1/*

%changelog
* Sat Jan 12 2008 Emmanuel Andry <eandry@mandriva.org> 0.11-2mdv2008.1
+ Revision: 149795
- fix requires

* Fri Jan 11 2008 Emmanuel Andry <eandry@mandriva.org> 0.11-1mdv2008.1
+ Revision: 148917
- New version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Jun 02 2007 Funda Wang <fundawang@mandriva.org> 0.10.0-1mdv2008.0
+ Revision: 34467
- New version

* Thu May 31 2007 Funda Wang <fundawang@mandriva.org> 0.9.0-2mdv2008.0
+ Revision: 33044
- Add makefile patch from Fedora
- BuildRequires rapi2
- BuildRequires gnome-vfs2
- kill wrong changelog
- Bump release


* Fri Jan 09 2004 Austin Acton <austin@mandrake.org> 0.9.0-1mdk
- add a few more Mandrakeizations
- from Nicolas Lcureuil <neoclust@zarb.org> :
  - First mandrakelinux release adapting synce website rpm

